<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<%@taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <title>WebSockets</title>

    <link type="text/css" href="<c:url value="/resources/css/screen.css"/>" rel="stylesheet" />
    <link type="text/css" href="<c:url value="/resources/css/styles.css"/>" rel="stylesheet" />
    <link type="text/css" href="<c:url value="/resources/css/smoothness/jquery-ui-1.8.18.custom.css"/>" rel="stylesheet" />
    <script type="text/javascript" src="<c:url value="/resources/js/jquery-1.7.1.min.js" />"></script>
    <script type="text/javascript" src="<c:url value="/resources/js/jquery-ui-1.8.18.custom.min.js" />"></script>
    <script type="text/javascript" src="<c:url value="/resources/js/events.class.js" />"></script>
    <script type="text/javascript" src="<c:url value="/resources/js/jquery.cookie.js" />"></script>
    <script type="text/javascript" src="<c:url value="/resources/js/underscore.js" />"></script>
    <script type="text/javascript" src="<c:url value="/resources/js/backbone-min.js" />"></script>
    <script type="text/javascript" src="<c:url value="/resources/js/handlebars.js" />"></script>
    <script type="text/javascript" src="<c:url value="/resources/js/main.js" />"></script>
    <script type="text/javascript" src="<c:url value="/resources/js/jquery.colorpicker.js" />"></script>
    <script type="text/javascript" src="<c:url value="/resources/js/jquery.mousewheel.js" />"></script>
    <script type="text/javascript" src="<c:url value="/resources/js/models.js" />"></script>
    <script type="text/javascript" src="<c:url value="/resources/js/views.js" />"></script>


</head>
<body>
    <h1>CTDO Raumsteuerung</h1>
    <div id="container">
        <div id="room-tabs">

        </div>
    </div>
    <script type="text/x-handlebars-template" id="room-tabs-template">
        <ul>
            {{#each rooms}}
            <li><a href="#room-tabs-{{roomId}}">{{roomName}}</a></li>
            {{/each}}
        </ul>
        {{#each rooms}}
        <div id="room-tabs-{{roomId}}">

        </div>
        {{/each}}
    </script>
    <script type="text/x-handlebars-template" id="room-vertical-tabs-template">
        <div id="room{{roomId}}-vertical-tabs" class="ui-tabs-vertical">
            <ul>
                {{#each types}}
                <li><a href="#room{{roomId}}-vertical-tabs-{{id}}">{{typeName}}</a></li>
                {{/each}}
            </ul>
            {{#each types}}
            <div id="room{{roomId}}-vertical-tabs-{{id}}">

            </div>
            {{/each}}
        </div>
    </script>
    <script type="text/x-handlebars-template" id="par56-options-template">
        {{#each devices}}
        <option name="{{deviceId}}">{{deviceName}}</option>
        {{/each}}
    </script>
    <script type="text/x-handlebars-template" id="buzzer-template">
        <div class="buzzer">
            <span class="circle {{color}}">{{text}}</span>
            <button>Buzzern</button>
        </div>
    </script>
    <script type="text/x-handlebars-template" id="lampel-template">

        <div class="lampel">
            <span class="circle red" title="click to toggle"></span>
            <span class="circle yellow" title="click to toggle"></span>
            <span class="circle green" title="click to toggle"></span>

        </div>
    </script>
    <script type="text/x-handlebars-template">

    </script>



</body>
</html>